LMAccess.USER_INFO_1 (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: LMAccess, class: USER_INFO_1

Package com.sun.jna.platform.win32

# Class LMAccess.USER_INFO_1

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.LMAccess.USER_INFO_1

Enclosing interface:
  LMAccess

@FieldOrder({"usri1_name","usri1_password","usri1_password_age","usri1_priv","usri1_home_dir","usri1_comment","usri1_flags","usri1_script_path"}) public static class LMAccess.USER_INFO_1 extends Structure
The USER_INFO_1 structure contains information about a user account, including account name, password data, privilege level, and the path to the user's home directory.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `usri1_comment`
  Pointer to a Unicode string that contains a comment to associate with the user account.
  `int`
  `usri1_flags`
  Specifies a DWORD value that determines several features.
  `String`
  `usri1_home_dir`
  Pointer to a Unicode string specifying the path of the home directory for the user specified in the usri1_name member.
  `String`
  `usri1_name`
  Pointer to a Unicode string that specifies the name of the user account.
  `String`
  `usri1_password`
  Pointer to a Unicode string that specifies the password of the user indicated by the usri1_name member.
  `int`
  `usri1_password_age`
  Specifies a DWORD value that indicates the number of seconds that have elapsed since the usri1_password member was last changed.
  `int`
  `usri1_priv`
  Specifies a DWORD value that indicates the level of privilege assigned to the usri1_name member.
  `String`
  `usri1_script_path`
  Pointer to a Unicode string specifying the path for the user's logon script file.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `USER_INFO_1()`
  `USER_INFO_1(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### usri1_name

    public String usri1_name
    Pointer to a Unicode string that specifies the name of the user account.

  - ### usri1_password

    public String usri1_password
    Pointer to a Unicode string that specifies the password of the user indicated by the usri1_name member.

  - ### usri1_password_age

    public int usri1_password_age
    Specifies a DWORD value that indicates the number of seconds that have elapsed since the usri1_password member was last changed.

  - ### usri1_priv

    public int usri1_priv
    Specifies a DWORD value that indicates the level of privilege assigned to the usri1_name member.

  - ### usri1_home_dir

    public String usri1_home_dir
    Pointer to a Unicode string specifying the path of the home directory for the user specified in the usri1_name member.

  - ### usri1_comment

    public String usri1_comment
    Pointer to a Unicode string that contains a comment to associate with the user account.

  - ### usri1_flags

    public int usri1_flags
    Specifies a DWORD value that determines several features.

  - ### usri1_script_path

    public String usri1_script_path
    Pointer to a Unicode string specifying the path for the user's logon script file.

- ## Constructor Details

  - ### USER_INFO_1

    public USER_INFO_1()

  - ### USER_INFO_1

    public USER_INFO_1(Pointer memory)